> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 Session Thread

> 获取 managed-agent Session 中的一个线程。

`GET /api/v1/cloud/sessions/{session_id}/threads/{thread_id}`

返回一个 Session thread。

## 路径参数

| 参数           | 类型     | 说明                        |
| ------------ | ------ | ------------------------- |
| `session_id` | string | 以 `sess_` 为前缀的 Session ID |
| `thread_id`  | string | 以 `sthr_` 为前缀的 Thread ID  |

## 请求头

| 头部              | 必选 | 说明                  |
| --------------- | -- | ------------------- |
| `Authorization` | 是  | `Bearer $QODER_PAT` |

## 示例请求

```bash theme={null}
curl -X GET "https://api.qoder.com/api/v1/cloud/sessions/sess_019f00000000000000000000000000aa/threads/sthr_019f00000000000000000000000002bb" \
  -H "Authorization: Bearer $QODER_PAT"
```

## 示例响应

```json theme={null}
{
  "id": "sthr_019f00000000000000000000000002bb",
  "type": "session_thread",
  "session_id": "sess_019f00000000000000000000000000aa",
  "parent_thread_id": "sthr_019f00000000000000000000000001aa",
  "agent": {"id": "agent_019f000000000000000000000000002b", "type": "agent", "version": 2},
  "status": "running",
  "stats": null,
  "archived_at": null,
  "created_at": "2026-06-15T08:01:00.000Z",
  "updated_at": "2026-06-15T08:01:00.000Z"
}
```

完整响应结构见 [Session Thread 对象](/zh/cloud-agents/api/sessions/schemas#session-thread-对象)。

## 错误码

| HTTP | 类型                     | 触发条件                 |
| ---- | ---------------------- | -------------------- |
| 401  | `authentication_error` | PAT 无效或过期            |
| 404  | `not_found_error`      | Session 或 thread 不存在 |

**HTTP 404 Not Found**（Session 不存在）

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_doesnotexist_xxxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

**HTTP 404 Not Found**（Thread 不存在）

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session thread 'sthr_fakefakefake_xxxxxxxxxxxxxxxx' was not found."
  }
}
```

完整错误信封格式见 [错误参考](/zh/cloud-agents/api/conventions/errors)。
